import { createSerialOperation } from "@deep-foundation/deeplinks/imports/gql/index.js";
import debug from "debug";
export async function makePositionInsertOperations(options) {
    const log = debug(`@deep-foundation/capacitor-geolocation:${makePositionInsertOperations.name}`);
    log({ options });
    const { id } = options;
    const operation = createSerialOperation({
        ...(id ? { id } : {}),
        type: "insert",
        table: "links",
        objects: {
            type_id: this.capacitorGeolocationPackage.Position.idLocal(),
            object: {
                data: {
                    value: options.position,
                },
            },
            in: {
                data: {
                    type_id: this.idLocal("@deep-foundation/core", "Contain"),
                    from_id: options.containerLinkId ?? this.linkId,
                },
            },
        },
    });
    log({ operation });
    return [operation];
}
