import { createSerialOperation } from "@deep-foundation/deeplinks/imports/gql/index.js";
import debug from "debug";
export async function makePositionValueUpdateOperations(options) {
    const log = debug(`@deep-foundation/capacitor-geolocation:${makePositionValueUpdateOperations.name}`);
    log({ options });
    const operation = createSerialOperation({
        type: "update",
        table: "objects",
        value: {
            value: options.position,
        },
        exp: {
            link_id: options.id,
        },
    });
    log({ operation });
    return [operation];
}
