import debug from "debug";
import { useEffect, useState } from "react";
export function usePositionWatch(options) {
    const log = debug(`@deep-foundation/capacitor-geolocation:${usePositionWatch.name}`);
    log({ options });
    const { deep } = options;
    const [watchId, setWatchId] = useState(undefined);
    useEffect(() => {
        deep.watchPosition(options).then((watchId) => {
            log({ watchId });
            setWatchId(watchId);
        });
        return () => {
            if (watchId) {
                deep.clearWatch({ id: watchId });
            }
        };
    }, []);
}
